import fisica.*;

FWorld world;
FCircle c;
PVector[]  bonus = new PVector[10];
FBox b;
void initPhysics() {

  Fisica.init(this);
  world = new FWorld();
  world.setGravity(0, 800);
  world.setEdges();
  //world.remove(world.left);
  //world.remove(world.right);
  world.remove(world.top);
  b = new FBox(50, 150);
  c = new FCircle(25);
  c.setPosition(30, height - 300);
  c.setDensity(1);
  c.setRestitution(0.1);
  c.setRotatable(false);
  c.setBullet(true);
  c.setNoStroke();
  //c.attachImage(beccaccia);
  world.add(c);
  b.setPosition(25, height - 75);
  b.setStatic(true);
  b.setNoStroke();
  world.add(b);
  for (int i = 0; i < bonus.length; i++)
    bonus[i] = new PVector(random(80, width), random(height * 0.3, height * 0.7));
    
    
  rectWidth = (float) (width - 50) / (scales.length - 1);
}
float rectWidth;
FPoly poly;

float altitude = 350;
float maxAltitude = 2000;
void addPoly(float[] sample) {
  poly = new FPoly();
  poly.setFill(255, 128, 0);
  sample[0] = 0;
  poly.vertex(50, altitude - 50);
  //float rectWidth = (float) (width - 50) / (sample.length - 1);
  for (int i = 1; i < sample.length; i++) {
    poly.vertex(50 + (i * rectWidth), altitude - (sample[i] * maxAltitude));//, rectWidth, scales[i]);
  }
  for (int i = sample.length - 1; i > 0; i--) {
    poly.vertex(50 + (i * rectWidth), altitude + 100);//, rectWidth, scales[i]);
  }
  poly.vertex(50, altitude + 100);
  poly.setDensity(0.5);
  poly.setRestitution(0.2);
  poly.setNoStroke();
  world.add(poly);
}

void drawPoly(float[] sample) {
  beginShape();
  fill(220);
  sample[0] = 0;
  vertex(50, altitude - 50);
  for (int i = 1; i < sample.length; i++) {
    vertex(50 + (i * rectWidth), altitude - (sample[i] * maxAltitude));//, rectWidth, scales[i]);
  }
  for (int i = sample.length - 1; i > 0; i--) {
    vertex(50 + (i * rectWidth), altitude + 100);//, rectWidth, scales[i]);
  }

  vertex(50, altitude + 100);
  endShape();
}